BIDENTD(8)

NAME
bidentd - Bisqwit's TCP/IP Identification Protocol daemon

SYNOPSIS
bidentd [ -qq | -q | -v | -vv | -vvv ]

DESCRIPTION
Bisqwit's identd is a daemon for the intenet Identification Protocol described by RFC 1413. It supports recursive IP masquerade, where a machine has Internet access through a masquerading machine which itself has Internet access through another masquerading machine, and so on. The program requires no setup (no config files required). It is designed to be run from the Internet superserver (inetd).

bidentd requires no command-line arguments, but some are supported though. Explained below.

OPTIONS
The following options control the amount of information that is dumped to the system log. Options may be specified separately or in group: -qq equals -q -q.

-qq Output nothing to the log.

-q  Output only fatal errors to the log.

(no option)
    If no option is specified, the log includes one line for every reponse sent in addition to any fatal errors.

-v  Be a little more verbose than when no option is specified.

-vv Output everything that -v outputs and additional debug information.

-vvv
    Output a lot of debug information in addition to everything that -v outputs.

FILES

/proc/net/tcp
    This file is required by bidentd operation

/proc/net/ip_masquerade
    If masquerade support is desired, this file is needed.

/proc/net/ip_conntrack
    This file will be used for masquerading connection tracking if the kernel is from 2.4-series.

AUTHOR
Bisqwit's identd was written by Joel Yliluoma <bisqwit@iki.fi>. Some enhancements and this manual page were added by Antti-Juhani Kaijanaho.